<?php

define ('SM_PATH', '../../');

include_once(SM_PATH . 'functions/i18n.php');

function squirrelmail_plugin_init_ldap_abook() {
  global $squirrelmail_plugin_hooks;

  $squirrelmail_plugin_hooks['menuline']['ldap_abook'] = 'ldap_abook_menuline';
  $squirrelmail_plugin_hooks['optpage_register_block']['ldap_abook'] = 'ldap_abook_optpage_register_block';
}

function ldap_abook_menuline () {
   global $color;
   bindtextdomain('ldap_abook', SM_PATH . 'plugins/ldap_abook/locale');
   textdomain('ldap_abook');
   displayInternalLink ('plugins/ldap_abook/ldap_abook.php', _('Address Book'), 'right');
   bindtextdomain('squirrelmail', SM_PATH . 'locale');
   textdomain('squirrelmail');
   echo '&nbsp;&nbsp;';
}

function ldap_abook_optpage_register_block() {
   global $optpage_blocks;

   if ( !soupNazi() ) {
      bindtextdomain('ldap_abook',SM_PATH . 'plugins/ldap_abook/locale');
      textdomain('ldap_abook');
   
      $optpage_blocks[] = array(
       'name' => _('Address Book'),
       'url' => '../plugins/ldap_abook/options.php',
       'desc' => _('Configure preferences for your personal LDAP address book'),
       'js' => FALSE
      );

      bindtextdomain('squirrelmail', SM_PATH . 'locale');
      textdomain('squirrelmail');
  }
}

function ldap_abook_version() {
	return '1.01';
}
 
?>
